#pragma once

#include <string>
#include <curl/curl.h>

class reNode {
protected:
    struct params {
        std::string re_peer;
        std::string re_version;
        std::string re_opc_server_peer;
        std::string re_location;
    };
public:
    reNode();
    void getParamsFromRE(reNode *re);
    params _params;
};

